DevvStream Corp.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/devvstream-corp/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1759795200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://www.devvstream.com/news/news-releases/devvstream-reports-btc-and-sol-reserves-as-cryptotreasury-program-accelerates",
    "holding_balance": 22.229,
    "holding_net_change": 22.23,
    "transaction_value_usd": 2699421.8004,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    22.229
  ],
  [
    1787011200000,
    22.229
  ],
  [
    1787097600000,
    22.229
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1786924800000,
    1396557.82026
  ],
  [
    1787011200000,
    1433660.68874
  ],
  [
    1787097600000,
    1438046.24815
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.0963,
    "date": "2026-07-02",
    "high": 0.13,
    "open": 0.11,
    "close": 0.122,
    "volume": 141647
  },
  {
    "low": 0.1136,
    "date": "2026-07-10",
    "high": 0.122,
    "open": 0.1136,
    "close": 0.1136,
    "volume": 98431
  },
  {
    "low": 0.105,
    "date": "2026-07-17",
    "high": 0.1498,
    "open": 0.105,
    "close": 0.1371,
    "volume": 17972
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -70.0,
  "six_month_return": -90.28,
  "three_month_return": -79.41
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/devvstream-corp/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 26.8,
  "total_btc_percentage": 0.0,
  "share_price_change_state": "down"
}